Bug 91266 - Exception occurred when opening internet-configuration
Summary: Exception occurred when opening internet-configuration
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: internet-config   
(Show other bugs)
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-20 17:04 UTC by Giuliano
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-21 08:28:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Giuliano 2003-05-20 17:04:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120
Netscape/7.01

Description of problem:
I had exception 91259 that occurred with this program, so i downloaded the lates
versio as You suggested, but a new ecception occurred. 


Version-Release number of selected component (if applicable):
1.0.3-1

How reproducible:
Always

Steps to Reproduce:
1.It occurs if i run redhat-config-network or redhat-config-network-druid.
    

Actual Results:  The program exits

Expected Results:  It should work....

Additional info:

Here is the report:
Traceback (innermost last):
  File "/usr/sbin/internet-druid", line 1442, in ?
    window = mainDialog('druid')
  File "/usr/sbin/internet-druid", line 237, in __init__
    self.load()
  File "/usr/sbin/internet-druid", line 276, in load
    self.loadProfiles()
  File "/usr/sbin/internet-druid", line 285, in loadProfiles
    profilelist = getProfileList()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 404, in getProfileList
    PFList.load()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 91, in load
    prof.HostsList.append(host)
  File "/usr/bin/../share/redhat-config-network/netconfpkg/ProfileList.py", line
965, in append
    item.setParent(self)
AttributeError: setParent

Local variables in innermost frame:
self: [<netconfpkg.genClass.Host instance at 84d1a10>]
item: <netconfpkg.genClass.Host instance at 84d1a10>

Comment 1 Ngo Than 2003-05-21 08:28:46 UTC
please download a new version from
http://people.redhat.com/harald/redhat-config-network/

It should fix this problem


Note You need to log in before you can comment on or make changes to this bug.